Subject: Re: [take5 0/4] kevent: Generic event handling mechanism.

From: Evgeniy Polyakov <[email-masked]>
Date: Wed, 9 Aug 2006 10:25:15 +0400

On Wed, Aug 09, 2006 at 10:11:59AM +0400, Evgeniy Polyakov ([email-masked]) wrote:
> On Tue, Aug 08, 2006 at 10:52:30PM -0700, David Miller ([email-masked]) wrote:
> > > Using LIST_POISON is a flag that kevent is in appropriate queue or not,
> > > I can add some flag into the structure, but why, if it is clear just by
> > > looking into list's pointers.
> > 
> > What is wrong with using list_empty() as this indicator?
> 
> RCU only replaces ->prev pointer, and list_empty(entry) checks for
> entry->next == head, but actually I do not see how kevent entry can
> point to itself, so I will try this.

Unfortunately it is impossible to use list_empty(), since due to RCU issues kevent
can not use list_del_init(), so list_empty() will always show that list is not empty.

-- 
	Evgeniy Polyakov